const carsJSON = `[
	{
		"year": 2000,
		"make": "Honda",
		"model": "Accord",
		"price": 2800
	},
	{
		"year": 2012,
		"make": "Nissan",
		"model": "Leaf",
		"price": 1800
	},
	{
		"year": 2009,
		"make": "Ford",
		"model": "F150",
		"price": 1950
	},
	{
		"year": 2009,
		"make": "Chevrolet",
		"model": "Trailblazer",
		"price": 1550
	},
	{
		"year": 2003,
		"make": "Honda",
		"model": "Pilot",
		"price": 2200
	}
]`;

export const cars = JSON.parse(carsJSON);

const formatCar = car => {
  	const {
      year,
      make,
      model,
      price
    } = car;
  return `${year} ${make} ${model}: $$${price}`;
};


const generateReport = (cars, maxPrice) =>
cars
	.filter(car => car.price < maxPrice)
  .map(formatCar)
  .join('\n');

const message = generateReport(cars,2000);


document.getElementById('message-element').textContent = message;


